org.eclipse.jetty.client

## Class BlockingHttpConnection

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection
  - - org.eclipse.jetty.client.AbstractHttpConnection
    - - org.eclipse.jetty.client.BlockingHttpConnection

- All Implemented Interfaces:
    Connection, Dumpable

      public class BlockingHttpConnection
      extends AbstractHttpConnection

  Blocking HTTP Connection

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.client.AbstractHttpConnection

      `_connectionHeader, _destination, _exchange, _generator, _http11, _parser, _pipeline, _reserved, _status`

    - ### Fields inherited from class org.eclipse.jetty.io.AbstractConnection

      `_endp`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `exchangeExpired(HttpExchange exchange)`
    `Connection` | `handle()` Handle the connection.
    `void` | `onIdleExpired(long idleForMs)` Called when the connection idle timeout expires
    `protected void` | `reset()`
    `boolean` | `send(HttpExchange ex)`

    - ### Methods inherited from class org.eclipse.jetty.client.AbstractHttpConnection

      `cancelIdleTimeout, close, commitRequest, dump, dump, getDestination, isIdle, isReserved, isSuspended, onClose, setDestination, setIdleTimeout, setReserved, toDetailString, toString`

    - ### Methods inherited from class org.eclipse.jetty.io.AbstractConnection

      `getEndPoint, getTimeStamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### reset

          protected void reset()
                        throws IOException

      Overrides:
        `reset` in class `AbstractHttpConnection`
      Throws:
        `IOException`

    - #### exchangeExpired

          protected void exchangeExpired(HttpExchange exchange)

      Overrides:
        `exchangeExpired` in class `AbstractHttpConnection`

    - #### onIdleExpired

          public void onIdleExpired(long idleForMs)

      Description copied from interface: `Connection`
      Called when the connection idle timeout expires
      Specified by:
        `onIdleExpired` in interface `Connection`
      Overrides:
        `onIdleExpired` in class `AbstractConnection`
      Parameters:
        `idleForMs` - how long the connection has been idle
      See Also:
        `Connection.isIdle()`

    - #### handle

          public Connection handle()
                            throws IOException

      Description copied from interface: `Connection`
      Handle the connection.
      Specified by:
        `handle` in interface `Connection`
      Specified by:
        `handle` in class `AbstractHttpConnection`
      Returns:
        The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
      Throws:
        `IOException` - if the handling of I/O operations fail

    - #### send

          public boolean send(HttpExchange ex)
                       throws IOException

      Overrides:
        `send` in class `AbstractHttpConnection`
      Throws:
        `IOException`

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.